Bug 45931 - Add hint about what kind of updates will be installed at last system setup screen
Add hint about what kind of updates will be installed at last system setup sc...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.3-1-errata
Assigned To: Richard Ulmer
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-21 12:00 CET by Nico Gulden
Modified: 2018-08-28 14:04 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017120721000261, 2017092221000345
Bug group (optional): Appliance, External feedback, Usability
Max CVSS v3 score:


Attachments
Screenshot label brake (63.13 KB, image/png)
2018-06-20 10:26 CEST, Philipp Hahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Gulden univentionstaff 2017-12-21 12:00:03 CET
The system setup offers an option on the last screen that updates shall be installed. The checkbox is activated by default.

The message does not say anything about the kind of updates. Errata Updates will be installed. But it is not obvious whether patch level and app updates will be installed, too.

A hint should be added to the checkbox and its label on the respective page and shortly explain, what kind of updates will be installed.

There is external feedback about this. The user left the update activated. After the setup, the resulting app appliance still offered a patch level release update and an app update.

I don't think that during the update after the setup, those updates should be applied necessarily. More things can go wrong there, especially with apps involved. This makes debugging harder. Therefore, at first the should have the option to get informed.
Comment 1 Richard Ulmer univentionstaff 2018-06-14 13:32:44 CEST
The user will now get more detailed information about the kind of updates that will be installed. There are also now two different messages for domain controller master systems and other systems.


univention-system-setup (11.0.5-2)
5f6f66711f9d | Bug #45931: Give more detailed information about installed updates

univention-system-setup.yaml
adc1e3e266f2 | Bug #45931: Add yaml file
Comment 2 Philipp Hahn univentionstaff 2018-06-20 10:22:58 CEST
The message "Update system to the installation status of the master domain controller after setup" is also shown when installing a "Base system"; as this role is a standalone system, the message is confusing.

It is probably also wrong for Backup/Slave/Member, as we cannot guarantee that the new system will have exactly the same errata level.

So please re-phrase to something like this: "Update system to UCS release version used on DC Master and install all currently available errata updates"
Comment 3 Philipp Hahn univentionstaff 2018-06-20 10:26:43 CEST
Created attachment 9564 [details]
Screenshot label brake

The line break between the check-box and its label also looks strange.
Comment 4 Philipp Hahn univentionstaff 2018-06-20 10:29:18 CEST
(In reply to Philipp Hahn from comment #2)
> The message "Update system to the installation status of the master domain
> controller after setup" is also shown when installing a "Base system"; as
> this role is a standalone system, the message is confusing.
> 
> It is probably also wrong for Backup/Slave/Member, as we cannot guarantee
> that the new system will have exactly the same errata level.
> 
> So please re-phrase to something like this: "Update system to UCS release
> version used on DC Master and install all currently available errata updates"

Bonus points for showing the UCS release currently USED on the master ...
Or allowing me to pick between "errata only" or "also release updates"
But probably that's another bug/feature...
Comment 5 Erik Damrose univentionstaff 2018-06-20 10:49:28 CEST
From a usability standpoint, the 'configure system' button at the last setup page has to be visible without scrolling.
Comment 6 Felix Botner univentionstaff 2018-06-22 09:34:04 CEST
this breaks the installations tests: http://jenkins.knut.univention.de:8080/job/UCS-4.3/job/UCS-4.3-1/job/Installation%20Tests/mode=ad-member/ws/screenshots/error.png

at least the admember mode installation and the "update" message is incorrect, the system is a master but the update message is

'Update system to the installation status of the master domain controller after setup'
Comment 7 Richard Ulmer univentionstaff 2018-06-29 15:43:52 CEST
I have changed the design, so that the additional information is available as a tooltip. This will make the installation tests work again, take up less space and avoid the strange line break after the checkbox.

I have added a third text, which is displayed for systems that are neither a DC master, nor any other DC. The text for the DC master has also been improved, taking the suggestion from comment #2 into account.

univention-system-setup (11.0.5-3)
7dd9a0298bf5 | Bug #45931: Improve display of information about installed updates

univention-system-setup.yaml
a7f1ba5dd01f | Bug #45931: Update yaml file
Comment 8 Philipp Hahn univentionstaff 2018-07-02 17:16:32 CEST
(In reply to Richard Ulmer from comment #7)
> I have changed the design, so that the additional information is available
> as a tooltip. This will make the installation tests work again, take up less
> space and avoid the strange line break after the checkbox.
> 
> I have added a third text, which is displayed for systems that are neither a
> DC master, nor any other DC. The text for the DC master has also been
> improved, taking the suggestion from comment #2 into account.
> 
> univention-system-setup (11.0.5-3)
> 7dd9a0298bf5 | Bug #45931: Improve display of information about installed
> updates

OK: 7dd9a0298bf5
OK: http://jenkins.knut.univention.de:8080/job/UCS-4.3/job/UCS-4.3-1/job/Installation%20Tests/mode=ad-member/
OK: Master
OK: Backup/Slave/Member
OK: Base
OK: German/English

> univention-system-setup.yaml
> a7f1ba5dd01f | Bug #45931: Update yaml file

OK: univention-system-setup.yaml
FIXED: errata-announce -V --only univention-system-setup.yaml
  [FAIL] desc.line.1: line length
  [FAIL] changes.valid: Mismatching binary package version
 4ae2da5a17 Bug #45931 QA: uss.yaml
Comment 9 Quality Assurance univentionstaff 2018-07-04 16:04:59 CEST
--- mirror/ftp/4.3/unmaintained/4.3-1/source/univention-system-setup_11.0.5-1A~4.3.0.201806081223.dsc
+++ apt/ucs_4.3-0-errata4.3-1/source/univention-system-setup_11.0.5-4A~4.3.0.201806291616.dsc
@@ -1,6 +1,18 @@
-11.0.5-1A~4.3.0.201806081223 [Fri, 08 Jun 2018 12:23:17 +0200] Univention builddaemon <buildd@univention.de>:
+11.0.5-4A~4.3.0.201806291616 [Fri, 29 Jun 2018 16:16:29 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+11.0.5-4 [Fri, 29 Jun 2018 16:06:54 +0200] Jannik Ahlers <ahlers@univention.de>:
+
+  * Bug #42366: Improve error message and feedback when join fails
+
+11.0.5-3 [Fri, 29 Jun 2018 15:10:42 +0200] Richard Ulmer <ulmer@univention.de>:
+
+  * Bug #45931: Improve display of information about installed updates
+
+11.0.5-2 [Thu, 14 Jun 2018 13:17:43 +0200] Richard Ulmer <ulmer@univention.de>:
+
+  * Bug #45931: Give more detailed information about installed updates
 
 11.0.5-1 [Fri, 08 Jun 2018 12:01:09 +0200] Dirk Wiesenthal <wiesenthal@univention.de>:
 

<http://10.200.17.11/4.3-1/#248385186724779815>
Comment 10 Arvid Requate univentionstaff 2018-08-22 14:26:18 CEST
<http://errata.software-univention.de/ucs/4.3/214.html>